# PDF::Table

This module creates text blocks and tables into PDF documents using the
PDF::API2 or PDF::Builder Perl module.

[![Open Issues](https://img.shields.io/github/issues/PhilterPaper/PDF-Table)](https://github.com/PhilterPaper/PDF-Table/issues)
[![PRs Welcome](https://img.shields.io/badge/PRs-welcome-brightgreen.svg?style=flat-square)](https://makeapullrequest.com)
[![Maintenance](https://img.shields.io/badge/Maintained%3F-yes-green.svg)](https://GitHub.com/PhilterPaper/PDF-Table/graphs/commit-activity)

The official repository for PDF::Table module collaboration:
"https://github.com/PhilterPaper/PDF-Table.git"

Any patches, pull requests, issues and feedback are more than welcome.

Do NOT under ANY circumstances open a PR (Pull Request) to report a bug. It is
a waste of both your and our time and effort. Open a regular ticket (issue),
and attach a Perl (.pl) program illustrating the problem, if possible. If you
believe that you have a program patch, and offer to share it as a PR, we may
give the go-ahead. Unsolicited PRs may be closed without further action.

## Prerequisites

Required for installation: Test::More
Optional for installation: Test::Pod, Test::CheckManifest

Required for running: Carp, PDF::API2 and/or PDF::Builder
Optional for running: Pod::Simple::HTML

## Installation

To install the module from CPAN, please type the following command:

```cpanm PDF::Table```

To test or add features to this module, please type the following command:

```cpanm .```

## Changes
To see a list of changes, please do one or more of the following:
- Read the [Changes](Changes) file
- Review commits history on GitHub
- Make a diff from the tools menu at CPAN

## Contacts

- Use the issue tracker on GitHub, "https://github.com/PhilterPaper/PDF-Table/issues"
- See "https://metacpan.org/pod/PDF::Table" for distribution and more information

## License
Copyright (C) 2006 by Daemmon Hughes

Extended by Desislav Kamenov (Twitter @deskata) versions 0.02 - 0.11

Extended by Phil Perry since version 0.12
Copyright (C) 2020 - 2023 by Phil M Perry

This library is free software; you can redistribute it and/or modify
it under the same terms as Perl itself, either Perl version 5.8.7 or,
at your option, any later version of Perl 5 you may have available.
Note that Perl 5.10 is now the minimum for installation.
